/* eslint-disable jsx-a11y/anchor-is-valid */
import React from 'react'
import {KTSVG, toAbsoluteUrl} from '../../../../../../_metronic/helpers'
import {Person, PersonRole} from '../core/_models'
import { PersonRoleActionsCell } from '../table/columns/person/PersonRoleActionsCell'
import { useListView } from '../edit-modal/person/ListViewProviderPerson'
import { UserEditModal } from '../edit-modal/person/UserEditModal'
import { PersonRoleAddModal } from '../edit-modal/person/PersonRoleAddModal'
type Props = {
  className: string
  person: Person
}

const PersonRolesList: React.FC<Props> = ({className,person}) => {
  const {setItemIdForUpdate, itemIdForUpdate} = useListView()
  const openAddPeronRoleModal = () => {
    setItemIdForUpdate(person.id)
    console.log(itemIdForUpdate)
  }
  return (
    <div className={`card ${className}`}>
      {/* begin::Header */}
      <div className='card-header border-0'>
        <h3 className='card-title fw-bold text-dark'>Personroller</h3>
        <div
        className='fs-7 w-250px py-4 d-flex justify-content-end'>
          <button type='button' onClick={openAddPeronRoleModal} className='btn btn-light btn-sm btn-active-light-primary' >
        <KTSVG path='/media/icons/duotune/arrows/arr075.svg' className='svg-icon-2' />
        Lägg till personroll
      </button>
      </div>
      </div>
      {/* end::Header */}
      {/* begin::Body */}
      <div className='card-body pt-2'>

      {person.personRoles?.map(personRole => {
        return(
          <div className='d-flex align-items-center mb-7' key={personRole.id}>
              <div className='symbol symbol-50px me-5'>
              <KTSVG
                      path='/media/icons/duotune/general/gen049.svg'
                      className='svg-icon-1 svg-icon-primary'
                    />              </div>
              <div className='flex-grow-1'>
                <a href='#' className='text-dark fw-bold text-hover-primary fs-6'>
                  {personRole.name?.split(',')[1]}
                </a>
          
        </div>
        <PersonRoleActionsCell id={personRole.id} />

          </div>
        )
      })}
      {itemIdForUpdate !== undefined ? <PersonRoleAddModal/> : null}

      </div>
      {/* end::Body */}
    </div>
  )
  
}

export {PersonRolesList}
